## cglib3 3.1%2Bdfsg

=== debian/control ===
Source: cglib3
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <nomadium@debian.org>
Build-Depends: ant, cdbs, debhelper (>= 9~), default-jdk, maven-repo-helper
Build-Depends-Indep: junit, libasm4-java, libjarjar-java, javahelper
Standards-Version: 3.9.5
Homepage: http://cglib.sourceforge.net
Vcs-Git: git://anonscm.debian.org/pkg-java/cglib3.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/cglib3.git

Package: libcglib3-java
Architecture: all
Depends: libasm4-java, ${misc:Depends}
Description: code generation library for Java
 cglib is a powerful, high performance and quality code generation
 library. It is used to extend Java classes and implement interfaces at
 run-time.

Package: libcglib3-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libcglib3-java
Description: code generation library for Java - documentation
 cglib is a powerful, high performance and quality code generation
 library. It is used to extend Java classes and implement interfaces at
 run-time.
 .
 This package includes the documentation.
