## cglib3 3.1+dfsg

=== debian/changelog ===
cglib3 (3.1+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #732238).
  * Bump Standards-Version to 3.9.5 (no changes were required).
  * Bump debhelper compat level to 9.
  * Replace dependencies on libasm3-java with libasm4-java.
  * Add Build-Depends on javahelper.
  * Refresh 01_jarjar.diff patch and add 02_fix_javadoc_classpath.diff.
  * Switch maintenance to Alioth pkg-java Git repositories.
  * Fix a lintian warning due to a typo in copyright file.

 -- Miguel Landaeta <nomadium@debian.org>  Wed, 25 Dec 2013 13:34:36 -0300

cglib (2.2.2+dfsg-5) unstable; urgency=low

  [ James Page ]
  * Fix FTBFS with OpenJDK7:
    - d/ant.properties: Ensure that all classes are built to target
      Java 1.5 to ensure backwards compatibility and correct execution
      of test suite. (Closes: #673175).

  [ Damien Raude-Morvan ]
  * Merge change from James Page. Thanks!

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 30 May 2012 00:58:04 +0200

cglib (2.2.2+dfsg-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3: no changes needed.
  * d/control: Remove Michael Koch from Uploaders (Closes: #654001).
  * d/patches/04_dont_use_userhome.diff: Don't use $HOME to output debug files.
    (Closes: #666668)

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 01 Apr 2012 18:46:48 +0200

cglib (2.2.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * d/copyright: Use DEP-5 format.
  * d/rules: Enable unit testing.
  * d/patches/04_skiptests_ParallelSorter.diff: Skip some failing test.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 01 Nov 2011 22:05:40 +0100

cglib (2.2+dfsg-4) unstable; urgency=low

  * d/rules, d/pom-nodep.xml: Install -nodep jar with another artifactId
    to avoid conflict in /usr/share/maven-repo (Closes: #617865).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 12 Mar 2011 02:03:14 +0100

cglib (2.2+dfsg-3) unstable; urgency=low

  * d/patches/02_build_split.patch: Drop, re-enable cglib-nodep
    (Closes: #583231).
  * d/patches/03_jarjar.diff: fix location of asm.jar.
  * d/control: Build-Depends on libjarjar-java.
  * d/control: drop Depends en JRE, as its a library.
  * d/rules: add jarjar to DEB_JARS.
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 06 Mar 2011 01:57:24 +0100

cglib (2.2+dfsg-2) unstable; urgency=low

  [ Gabriele Giacone ]
  * Added Maven Support
  * Standards-Version to 3.8.4
  * Source format 3.0 (quilt)

  [ Damien Raude-Morvan ]
  * Remove Arnaud Vandyck from Uploaders
  * Source format 3.0 (quilt):
    - Remove patchsys-quilt.mk from d/rules
    - Rework d/README.source
  * Maven Support:
    - Add "get-orig-pom" target in d/rules to update pom.xml
  * Remove d/README.Debian (already included in d/README.source)

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 16 Mar 2010 20:42:36 +0100

cglib (2.2+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Rename source package to "cglib"
    - Drop unneeded Build-Depends on libaspectwerkz2-java
    - Build-Depends on libasm3-java instead of libasm-java
    - Drop uneeded debian/patches/01_build_classpath.patch 
  * Build-Depends on default-jdk instead of default-jdk-builddep
    because we don't build a native GCJ package.
  * Switch to debhelper 7
  * Use Quilt patch system:
    - refresh all debian/patches
    - Build-Depends on quilt
    - Update debian/README.source
  * Update my email address
  * Bump Standards-Version to 3.8.3: no changes needed
  * Fix debian/copyright to include BSD license of
    src/proxy/net/sf/cglib/core/LocalVariablesSorter.java

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 08 Oct 2009 21:23:45 +0200

cglib2.1 (2.1.3.dfsg.2-2) unstable; urgency=low

  * Use default-java-builddep:
    - Remove B-D on java-gcj-compat-dev (Closes: #526274)
    - Add default-java-builddep to B-D
    - Use /usr/lib/jvm/default-java as JAVA_HOME
  * Move ant to B-D-I (needed for clean target)
  * Add myself as Uploaders
  * Add ${misc:Depends} as suggested by Lintian
  * Fix short-description of libcglib2.1-java-doc
    to include "documentation"
  * Fix Vcs-* fields to use "cglib2.1" instead of "cglib"
  * Bump Standards-Version to 3.8.2:
    - Move to "java" section
    - Rename README.Debian-source to README.source
    - Describe patch system usage in README.source

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Mon, 29 Jun 2009 22:13:35 +0200

cglib2.1 (2.1.3.dfsg.2-1) unstable; urgency=low

  * Increase the upstream version number without changing the actual tarball
    to get the package uploaded to main.

 -- Torsten Werner <twerner@debian.org>  Sun, 10 Aug 2008 22:32:44 +0200

cglib2.1 (2.1.3.dfsg.1-3) unstable; urgency=low

  [ Michael Koch ]
  * Use uscan sf.net helper for SourceForge. Fixes upstream checking.
  * Added myself to Uploaders.

  [ Torsten Werner ]
  * Move package to main.
  * Reformat debian/copyright for better readability.
  * Do not quote the full text of the Apache License in debian/copyright.
  * Fix doc-base file.

 -- Torsten Werner <twerner@debian.org>  Thu, 31 Jul 2008 00:18:44 +0200

cglib2.1 (2.1.3.dfsg.1-2) unstable; urgency=low

  * Fix debian/watch.
  * Add myself to Uploaders.
  * Add Homepage and Vcs headers to debian/control.
  * Change Standards-Version: 3.7.3.
  * Switch to debhelper 5.

 -- Torsten Werner <twerner@debian.org>  Mon, 17 Dec 2007 10:47:00 +0100

cglib2.1 (2.1.3.dfsg.1-1) unstable; urgency=low

  * Initial Release (closes: #386101).

 -- Arnaud Vandyck <avdyk@debian.org>  Tue, 10 Apr 2007 17:48:55 +0200
