=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

# the upstream version without the +dfsg suffix:
VERSION  := `expr match $(DEB_UPSTREAM_VERSION) '\(.*\)+dfsg'`

POM_VERSION          := 3.1
MAVEN_REPO           := http://repo1.maven.org/maven2/

JAVA_HOME := /usr/lib/jvm/default-java
DEB_JARS  := asm4-attrs asm4-commons asm4-util junit asm4 jarjar
DEB_ANT_BUILD_TARGET := jar javadoc
#DEB_ANT_CHECK_TARGET := test
DEB_ANT_CHECK_TARGET :=
DEB_ANT_ARGS         += -Dcomponent.version=$(VERSION)
JAR_DIR   := /usr/share/java

install/libcglib3-java::
	mh_installpom -plibcglib3-java -e$(VERSION) debian/pom.xml
	mh_installpom -plibcglib3-java -e$(VERSION) debian/pom-nodep.xml
	mh_installjar -plibcglib3-java -l -i$(VERSION) -e$(VERSION) debian/pom.xml \
		--usj-name=cglib3 dist/cglib-$(VERSION).jar
	mh_installjar -plibcglib3-java -l -i$(VERSION) -e$(VERSION) debian/pom-nodep.xml \
		--usj-name=cglib3-nodep dist/cglib-nodep-$(VERSION).jar

install/libcglib3-java-doc::
	-rmdir docs/api
	jh_installjavadoc

clean::
	-rm -rf build docs
	jh_clean
	mh_clean

get-orig-source:
	uscan --upstream-version 0 --rename

get-orig-pom:
	wget -U 'Debian' -O debian/pom.xml $(MAVEN_REPO)/cglib/cglib/$(POM_VERSION)/cglib-$(POM_VERSION).pom
	perl -p -i -e 's/<version>$(POM_VERSION)/<version>'$(VERSION)'/' debian/pom.xml
