=== debian/watch ===
# watch control file for uscan
version=3
# Options

# Site Version Script
opts=dversionmangle=s/\.dfsg\.\d+$//,uversionmangle=s/_/./ \
  http://sf.net/cglib/cglib-src-([\d_.]+)\.jar \
  debian debian/orig-tar.sh
